You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2017-06-07 15:44:52

ag0n
Guest
Registered: 2017-06-07
Posts: 5

Update glpi 9.1.1 -> 9.1.2 qui pose pb

Bonjour,
j'utilise actuellement un serveur "frontal" sous glpi en version 9.1.2 qui pointe vers la bdd d'un autre glpi en 9.1.1
ayant remarqué des gros problèmes de cpu (100%) à cause de threads d'erreurs php, je me connecte sous l'interface web du glpi intra et je vois ce message d'erreur qui me signale qui faut l'update :
https://image.noelshack.com/fichiers/20 … -capt1.png

donc je vous montre mes manips pour la montée en version :
https://image.noelshack.com/fichiers/20 … 9-updt.png
je passe sur l'interface web, je choisi la langue, j'accepte, je choisi la mise à jour et voyez par vous même les erreurs :
https://image.noelshack.com/fichiers/20 … -updt2.png

j'ai essayé de regarder du côté de phpmyadmin et je n'y ai même plus accès en localhost

Bref je suis bloqué... j'ai besoin d'un coup de main et je pense que c'est du costaud.
Je tiens à préciser que je suis sous un serveur lampp (xampp for linux), que mes dossiers se trouvent sous /opt/lampp/htdocs/

Merci et à bientôt!

Offline

#2 2017-06-07 16:00:45

KarsFSF
Guest
Registered: 2016-05-10
Posts: 84

Re: Update glpi 9.1.1 -> 9.1.2 qui pose pb

Bonjour,

Pas certain que www-data soit la bonne solution quand tu utilises lampp. Je te conseil de jeter un œil à ce tutoriel :
http://www.computernetworkingnotes.com/ … buntu.html
Résumé pour la fonction recherche :

  • récupérer son user (whoami)

  • éditer la config du httpd.conf dans /opt/lampp/etc/httpd.conf

  • changer le propriétaire de ce qui est dans /opt/lampp/htdocs


Dit nous si ça à marché wink

Last edited by KarsFSF (2017-06-07 16:04:03)


GLPI 0.90.2
Debian 8 up to date

Offline

#3 2017-06-07 16:33:22

ag0n
Guest
Registered: 2017-06-07
Posts: 5

Re: Update glpi 9.1.1 -> 9.1.2 qui pose pb

Salut, merci tout d'abord de ta rapidité de réponse.

J'ai suivi ton tuto à la lettre, et ça n'a rien changé, toujours la même erreur, pas de droits de création, comme dans ce screen :
https://image.noelshack.com/fichiers/20 … -updt2.png
pourtant je peux bien créer des fichiers avec l'utilisateur renseigné comme dans le tuto...j'ai bien chown récursivement, et ça ne change rien aussi.

Offline

#4 2017-06-07 16:36:50

KarsFSF
Guest
Registered: 2016-05-10
Posts: 84

Re: Update glpi 9.1.1 -> 9.1.2 qui pose pb

?? Il faut bien renseigner le fichier avec le résultat de la commande whoami hein, pas sanjay ..
Tu as redémarré les services après avoir édité le fichier /opt/lampp/etc/httpd.conf ?


GLPI 0.90.2
Debian 8 up to date

Offline

#5 2017-06-07 16:46:06

ag0n
Guest
Registered: 2017-06-07
Posts: 5

Re: Update glpi 9.1.1 -> 9.1.2 qui pose pb

Oui, oui, mon utilisateur est "administrateur"
https://image.noelshack.com/fichiers/20 … 6646-1.png

dans le httpd.conf je l'ai bien mis en user :
https://image.noelshack.com/fichiers/20 … 6646-2.png

et finalement j'ai bien tous les droits dans l'arborescence htdocs :
https://image.noelshack.com/fichiers/20 … 6646-3.png

j'ai fais un "service apache2 reload" donc oui

Offline

#6 2017-06-08 10:41:18

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 13,879

Re: Update glpi 9.1.1 -> 9.1.2 qui pose pb

Le dossier files de GLPI doit avoir pour propriétaire en récursif l'utilisateur Apache


CentOS 6.5 - CentOS 7
PHP 5.6 - PHP 7 - MySQL 5.6  + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

#7 2017-06-08 13:18:14

ag0n
Guest
Registered: 2017-06-07
Posts: 5

Re: Update glpi 9.1.1 -> 9.1.2 qui pose pb

Comme dit précédemment, je suis sous xampp for linux, et donc je n'ai pas d'utilisateur nommé apache dans mon passwd. Par contre j'ai www-data et quand je l'affecte récursivement au dossier files (uniquement), et que je veux l'installer à distance ça me bloque carrément juste après avoir choisi le langage :
https://image.noelshack.com/fichiers/20 … 11-sc1.png

Alors qu'en local, j'y arrive, mais j'ai toujours les mêmes erreurs... je suis vraiment perdu là.

Offline

#8 2017-06-08 16:31:03

ag0n
Guest
Registered: 2017-06-07
Posts: 5

Re: Update glpi 9.1.1 -> 9.1.2 qui pose pb

Ca y'est j'ai reglé les pb, en fait faire un "service apache2 restart" ne marchait pas avec la configuration xampp. Puis au niveau des droits sur files j'ai mis daemon, qui était renseigné au départ dans mon httpd.cnf
Ensuite je n'avais plus d'accès à phpmyadmin alors je me suis connecté en mysql (sous /opt/lampp/bin/mysql) sur la base j'ai réattribué tous les droits aux utilisateurs nommés root, j'ai relancé le service mysql, et j'ai pû enfin l'update.
Voilà voilà merci de votre aide et à+

Offline

#9 2017-06-12 10:21:59

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 13,879

Re: Update glpi 9.1.1 -> 9.1.2 qui pose pb

Merci du retour. Je clos


CentOS 6.5 - CentOS 7
PHP 5.6 - PHP 7 - MySQL 5.6  + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

Board footer

Powered by FluxBB